package beilv.pay.service;

import com.wechat.pay.java.service.payments.jsapi.model.PrepayWithRequestPaymentResponse;
import com.wechat.pay.java.service.payments.model.Transaction;
import com.wechat.pay.java.service.refund.model.Refund;
import com.wechat.pay.java.service.refund.model.RefundNotification;

import javax.servlet.http.HttpServletRequest;

public interface WxUserPayService {


    // 微信支付
    PrepayWithRequestPaymentResponse creationIndentPayment(String indentId, String myOpenId, Double amount);

    // 获取支付回调信息
    Transaction getTransaction(HttpServletRequest request);

    // 支付回调
    boolean indentPaymentBlack(Transaction transaction);

    // 退款申请
    Refund refundIndentPayment(String refundId, Double amount);

    // 获取退款回调信息
    RefundNotification getRefundNotification(HttpServletRequest request);

    // 退款回调
    boolean refundIndentBlack(RefundNotification refundNotification);
}